﻿<div class="{{ $pageRouteServ.pageObject.academicInfo.class + ' ' + $pageRouteServ.pageObject.major.class + ' ' + $pageRouteServ.pageObject.major.verified.class }}">
    <div class="dialogin" ng-if="majvef.showForm">
        <div class="panel noborder">
            <div class="panel-body">
                <div class="text-center" loading-container="$majorServ.tableList.majorVerified.settings().$loading">
                    <table class="table table-striped table-hover" ng-table="$majorServ.tableList.majorVerified">
                        <caption>
                            <div class="block">
                                <div class="panel-table">
                                    <div class="panel-row">
                                        <div class="panel-col col-toolbar">
                                            <div class="toolbar">
                                                <a enter class="btn black f5 nomargin-left" href="javascript:void(0)" uib-tooltip-html="$appServ.getLabel(['filter'])"
                                                    ng-click="
                                                        $utilServ.doBlur($event);
                                                        majvef.table.filter.showForm = !majvef.table.filter.showForm
                                                    ">
                                                    <i class="fa fa-filter white f9"></i>
                                                </a>
                                                <a enter class="btn black f5" href="javascript:void(0)" uib-tooltip-html="$appServ.getLabel(['reload'])"
                                                    ng-click="
                                                        $utilServ.doBlur($event);
                                                        acamaj.table.reload.isPreloading = false;
                                                        acamaj.table.reload.isResetDataSource = true;
                                                        acamaj.table.reload.order = [{ 
                                                            table: 'majorVerified',
                                                            isFirstPage: true
                                                        }, {
                                                            table: 'majorPendingVerify',
                                                            isFirstPage: true
                                                        }];
                                                        acamaj.table.reload.action()
                                                    ">
                                                    <i class="fa fa fa-refresh white f9"></i>
                                                </a>
                                            </div>
                                        </div>
                                        <div class="panel-col col-recordcount text-right"
                                            ng-show="!$majorServ.tableList.majorVerified.settings().$loading"
                                            ng-if="!acamaj.table.hide">
                                            <span class="{{ $appServ.labelStyle }} regular black f11">
                                                {{ $utilServ.getRecordCount($majorServ.tableList.majorVerified.totalSearch, $majorServ.tableList.majorVerified.total(), $dictServ.dict) }}
                                            </span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="filter dialogin" ng-if="majvef.table.filter.showForm">
                                <div class="panel noborder">
                                    <div class="panel-heading block">
                                        <div class="panel-title text-left">
                                            <span class="{{ $appServ.labelStyle }} bold white f10">
                                                {{ $appServ.getLabel(['filter']) }}
                                            </span>
                                        </div>
                                    </div>
                                    <div class="panel-body block">
                                        <div class="panel-table">
                                            <div class="panel-row">
                                                <div class="panel-col nopadding-right">
                                                    <div class="form vertical">
                                                        <div class="form-row">
                                                            <div class="form-col label-col text-left {{ $appServ.labelStyle }} regular white f10">
                                                                {{ $appServ.getLabel(['keyword']) }}
                                                            </div>
                                                            <div class="form-col input-col text-left">
                                                                <input enter smart-textbox class="form-control inputbox font-en regular black f10" type="text"
                                                                    ng-model="majvef.table.filter.formField.keyword"
                                                                    ng-disabled="$majorServ.tableList.majorVerified.totalSearch === 0"
                                                                />
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </caption>
                        <thead class="table-data">
                            <tr>
                                <th class="noborder-top noborder-bottom noborder-left col-index">
                                    <span class="{{ $appServ.labelStyle }} bold white f10 block">
                                        {{ $appServ.getLabel(['order']) }}
                                    </span>
                                </th>
                                <th class="noborder-top noborder-bottom noborder-left col-code">
                                    <span class="{{ $appServ.labelStyle }} bold white f10 block">
                                        {{ $appServ.getLabel(['major', 'table', 'code']) }}
                                    </span>
                                </th>
                                <th class="noborder-top noborder-bottom noborder-left col-name">
                                    <span class="{{ $appServ.labelStyle }} bold white f10 block">
                                        {{ $appServ.getLabel(['major', 'table', 'name']) }}
                                    </span>
                                </th>
                                <th class="noborder-top noborder-right noborder-bottom col-command"></th>
                                <th class="colwrap colwrap1 hidden" colspan="4"></th>
                            </tr>
                        </thead>
                        <tbody class="table-data" ng-repeat="dr in $data | orderBy: 'id'">
                            <tr ng-if="!acamaj.table.hide">
                                <td class="noborder-top noborder-bottom noborder-left col-index">
                                    <span class="{{ $appServ.labelStyle }} regular black f11 block" uib-tooltip-html="$appServ.getLabel(['order'])">
                                        {{ $utilServ.getOrderIndex($majorServ.tableList.majorVerified, $index) }}
                                    </span>
                                </td>
                                <td class="noborder-top noborder-bottom noborder-left col-code">
                                    <span class="{{ $appServ.labelStyle }} regular black f11 block" uib-tooltip-html="$appServ.getLabel(['major', 'table', 'code'])">
                                        {{ dr.code }}
                                    </span>
                                </td>
                                <td class="noborder-top noborder-bottom noborder-left col-name text-left">
                                    <span class="{{ $appServ.labelStyle }} regular black f11 block" uib-tooltip-html="$appServ.getLabel(['major', 'table', 'name'])">
                                        {{ dr.name[$utilServ.lang] }}
                                    </span>
                                </td>
                                <td class="noborder-top noborder-right noborder-bottom col-command">
                                    <div class="block">
                                        <div class="toolbar">
                                            <a class="btn nomargin-left info-bg" href="javascript:void(0)" uib-tooltip-html="$appServ.getLabel(['edit'])"
                                                ng-click="
                                                    $utilServ.doBlur($event);
                                                    acamaj.addedit.showForm = !acamaj.addedit.showForm;
                                                    acamaj.addedit.template.action = 'edit';
                                                    acamaj.addedit.template.init();
                                                    acamaj.addedit.formValue.id = dr.id
                                                ">
                                                <i class="fa fa-edit white f9"></i>
                                            </a>
                                            <a class="btn danger-bg disabled" href="javascript:void(0)" uib-tooltip-html="$appServ.getLabel(['remove'])"
                                                ng-click="
                                                    $utilServ.doBlur($event);
                                                    acamaj.addedit.delete.dataRow = dr;
                                                    acamaj.addedit.delete.init();
                                                    acamaj.addedit.saveChange.action()
                                                ">
                                                <i class="fa fa-trash white f10"></i>
                                            </a>
                                        </div>
                                    </div>
                                </td>
                                <td class="colwrap colwrap1 noborder" colspan="4">
                                    <div class="view block">
                                        <div class="iform">
                                            <div class="iform-row">
                                                <div class="iform-col label-col text-left nopadding-top colhead">
                                                    <span class="{{ $appServ.labelStyle }} bold black f11">
                                                        {{ $appServ.getLabel(['order']) }}
                                                    </span>
                                                </div>
                                                <div class="iform-col label-col text-center nopadding-top colhead">
                                                    <span class="{{ $appServ.labelStyle }} bold black f11">
                                                        :
                                                    </span>
                                                </div>
                                                <div class="iform-col input-col text-left nopadding-top">
                                                    <span class="{{ $appServ.labelStyle }} regular black f11">
                                                        {{ $utilServ.getOrderIndex($majorServ.tableList.majorVerified, $index) }}
                                                    </span>
                                                </div>
                                            </div>
                                            <div class="iform-row">
                                                <div class="iform-col label-col text-left nopadding-top colhead">
                                                    <span class="{{ $appServ.labelStyle }} bold black f11">
                                                        {{ $appServ.getLabel(['major', 'table', 'code']) }}
                                                    </span>
                                                </div>
                                                <div class="iform-col label-col text-center nopadding-top colhead">
                                                    <span class="{{ $appServ.labelStyle }} bold black f11">
                                                        :
                                                    </span>
                                                </div>
                                                <div class="iform-col input-col text-left nopadding-top">
                                                    <span class="{{ $appServ.labelStyle }} regular black f11">
                                                        {{ dr.code }}
                                                    </span>
                                                </div>
                                            </div>
                                            <div class="iform-row">
                                                <div class="iform-col label-col text-left nopadding-top colhead">
                                                    <span class="{{ $appServ.labelStyle }} bold black f11">
                                                        {{ $appServ.getLabel(['major', 'table', 'name']) }}
                                                    </span>
                                                </div>
                                                <div class="iform-col label-col text-center nopadding-top colhead">
                                                    <span class="{{ $appServ.labelStyle }} bold black f11">
                                                        :
                                                    </span>
                                                </div>
                                                <div class="iform-col input-col text-left nopadding-top">
                                                    <span class="{{ $appServ.labelStyle }} regular black f11">
                                                        {{ dr.name[$utilServ.lang] }}
                                                    </span>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="text-right paddingTop3">
                                            <div class="toolbar">
                                                <a class="btn nomargin-left info-bg" href="javascript:void(0)" uib-tooltip-html="$appServ.getLabel(['edit'])"
                                                    ng-click="
                                                        $utilServ.doBlur($event);
                                                        acamaj.addedit.showForm = !acamaj.addedit.showForm;
                                                        acamaj.addedit.template.action = 'edit';
                                                        acamaj.addedit.template.init();
                                                        acamaj.addedit.formValue.id = dr.id
                                                    ">
                                                    <i class="fa fa-edit white f9"></i>
                                                </a>
                                                <a class="btn danger-bg disabled" href="javascript:void(0)" uib-tooltip-html="$appServ.getLabel(['remove'])"
                                                    ng-click="
                                                        $utilServ.doBlur($event);
                                                        acamaj.addedit.delete.dataRow = dr;
                                                        acamaj.addedit.delete.init();
                                                        acamaj.addedit.saveChange.action()
                                                    ">
                                                    <i class="fa fa-trash white f10"></i>
                                                </a>
                                            </div>
                                        </div>
                                    </div>
                                </td>
                            </tr>
                        </tbody>
                        <tfoot
                            ng-show="
                                $majorServ.tableList.majorVerified.totalSearch !== undefined &&
                                !$majorServ.tableList.majorVerified.settings().$loading
                            ">
                            <tr ng-if="!acamaj.table.hide">
                                <td class="noborder-top noborder-right noborder-bottom noborder-left" colspan="4">
                                    <span class="{{ $appServ.labelStyle }} regular black f11 block">
                                        {{ $utilServ.getRecordCount($majorServ.tableList.majorVerified.totalSearch, $majorServ.tableList.majorVerified.total(), $dictServ.dict) }}
                                    </span>
                                </td>
                            </tr>
                        </tfoot>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>